﻿
@{
    /**/

    ViewBag.Title = "ThemSanPham";
    Layout = "~/Views/Admin/Layout/_LayoutAdmin.cshtml";
    <script src="~/Scripts/jquery-1.10.2.min.js"></script>
    <script src="~/Ckeditor/ckeditor/ckeditor.js"></script>
    <script src="~/CKFinder/ckfinder/ckfinder.js"></script>

}

@using (Html.BeginForm("ThemSanPham", "AdminSP", FormMethod.Post, new { enctype = "multipart/form-data" }))
{





    <section class="content box-header">

        <div class="row">

            <div class="col-md-6">
                <div class="box box-info box-header">
                    <div class="box-header with-border">
                        <h3 class="box-title">Thêm Sản Phẩm</h3>
                    </div>

                    <tr>
                        <td class="selected">
                            <label>Tên Sản Phẩm</label>
                            <input type="text" required name="TenSP" placeholder="Tên Sản phẩm" class="form-control">
                        </td>
                        <td class="selected">
                            <label>Giá</label>
                            <input type="text" required name="Gia" placeholder="Đơn Giá" class="form-control">
                        </td>
                        <td class="selected">
                            <label>Giá khuyến mãi</label>
                            <input type="text" required name="GiaMoi" placeholder="Đơn Giá" class="form-control">
                        </td>
                        <td class="selected">
                            <label>Mô tả ngắn</label>
                            <input type="text" required name="MoTaNgan" placeholder="" class="form-control">




                        </td>
                        <td class="selected">
                            <label>Mô tả sản phẩm</label>
                            <textarea id="ckeContent" name="MoTaSP"></textarea>

                        </td>
                        <td class="selected">
                            <label>Từ khóa sản phẩm</label>
                            <input type="text" required name="TuKhoa" placeholder="" class="form-control">
                        </td>
                        <td class="selected">

                            <label>Danh mục sản phẩm</label>
                            @Html.Action("DanhMucAdmin", "AdminDanhMuc")



                        </td>
                        <td class="selected">
                            <label>Số lượng</label>
                            <input type="text" required name="SoLuong" placeholder="Số Lượng" class="form-control">
                        </td>

                        <td class="selected">
                            <label>Hình</label>
                            <input type="file" name="ImageFile" id="Anh" value="Upload" accept=".jpg,.png,.jpeg,.gif" required>
                        </td>
                        <td class="selected">
                            <label>Hình ảnh liên quan</label><br />
                            <input id="Images" type="text" />
                            <input id="Browser" type="button" @*name="ImageFile"*@ value="Upload" /><br />
                        </td>


                        <td class="btn CreatSP">
                            <input type="submit" name="insert" value="Tạo Sản Phẩm" class="btn btn-primary">
                        </td>
                        <td class="btn Cancel">
                            @Html.ActionLink("Hủy", "DanhSachSanPhamAdmin", "AdminSP", null, new { @class = "btn btn-success", onclick = "return confirm('Bạn có chắc muốn hủy sản phẩm');" })
                        </td>

                    </tr>


                </div>
            </div>
        </div>
    </section>


    <script>
        // Replace the <textarea id="editor1"> with a CKEditor
        // instance, using default configuration.
        CKEDITOR.replace('ckeContent');
        var editor = CKEDITOR.replace('ckeContent');
        CKFinder.setupCKEditor(editor);
    </script>
    <script language="javascript" type="text/javascript">
        $(function () {
            $("#Browser").click(function () {
                var ckfinder = new CKFinder();
                ckfinder.selectActionFunction = function (fileUrl) {
                    $("#Images").val(fileUrl)
                };
                ckfinder.popup();
            });
        });
    </script>


}

